Subject: Re: [netmod] [Netconf] Practical use of extension.

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 12 Feb 2014 23:46:13 +0000

RFC 6095 defines some also some YANG extensions, which might be useful for object oriented modeling.

PS: I would suggest to move the discussion on YANG extensions to Netmod maillist.

Cheers,
Mehmet

From: Netconf [mailto:[email-masked]] On Behalf Of ext Andy Bierman
Sent: Wednesday, February 12, 2014 5:16 PM
To: Ambika Tripathy
Cc: Netconf
Subject: Re: [Netconf] Practical use of extension.

Hi,

Since these external statements are outside of the YANG language,
there is no definition in YANG for the syntax and semantics of
external statements.

Extensions are very useful within tool implementations to tag YANG
definitions with additional metadata, in order to automate various
functionality.

Andy

On Wed, Feb 12, 2014 at 8:11 AM, Ambika Tripathy <[email-masked]<mailto:[email-masked]>> wrote:
Hi Juergen,

Thanks for your quick response.

Section: 7.17, in page 98 of the rfc 6020 "The substatements of an extension

   are defined by the extension, using some mechanism outside the scope
   of this specification. " Which is more confusing.

What does it mean and  what is the practical use of it in a YANG datastore? do you have some other example.

br,
Ambika

On Wed, Feb 12, 2014 at 9:29 PM, Juergen Schoenwaelder <[email-masked]<mailto:[email-masked]>> wrote:
On Wed, Feb 12, 2014 at 09:23:07PM +0530, Ambika Tripathy wrote:
> Hi,
>
> I am going though YANG and Open DayLight implementation using YANG files in
> MD_SAL.
>
> I have one fundamental doubt to understand how extension is working.
>
> Could you please explain with some practical example using some yang
> datastore concepts, how to use extension keyword in YANG and its usages.
I suggest to read RFC 6020 section 7.17. In a nutshell, the extension
statement allows to add a new statement to the YANG language.

> Practically, I am referring
> http://tools.ietf.org/id/draft-clemm-netmod-mount-01.txt and its extension
> defined in mound module and use in Appendix A.
This may not be a good example to study. That document may be
confusing the YANG extension statement (which adds keywords to the
YANG reportoire) with runtime additions to a data store.

/js

--
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

--
Ambika Prasad Tripathy
Cell @+91 9437547730/8553070866
Alt email: [email-masked]<mailto:[email-masked]>
[email-masked]<mailto:[email-masked]>
skype:ambika_nethawk

_______________________________________________
Netconf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netconf